<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.3/css/bulma.min.css">

    <script src="https://kit.fontawesome.com/a5f1e17611.js" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

    {% block js %}
    {% endblock %}

    <title>Notice Board</title>
    {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'board/css/main.css' %}">
</head>
<body>
<nav class="navbar" role="navigation" aria-label="main navigation">
    {#        <div class="navbar-brand">#}
    {#            <a class="navbar-item" href="https://bulma.io">#}
    {#                <img src="https://bulma.io/images/bulma-logo.png" width="112" height="28">#}
    {#            </a>#}
    {##}
    {#            <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">#}
    {#                <span aria-hidden="true"></span>#}
    {#                <span aria-hidden="true"></span>#}
    {#                <span aria-hidden="true"></span>#}
    {#            </a>#}
    {#        </div>#}

    <div id="navbarBasicExample" class="navbar-menu">
        <div class="navbar-start">
            <a class="navbar-item" href="/">
                <i class="fa-solid fa-house"></i> &nbsp;Доска
            </a>
            <a class="navbar-item" href="/favorites">
                <i class="fa-solid fa-star"></i>&nbsp;Избранные
            </a>

            {% if request.user.is_authenticated %}
                <a class="navbar-item" href="/auth/profile">
                    {{ user.last_name }}&nbsp;{{ user.first_name }}
                    &nbsp <i class="fa-solid fa-location-dot"></i> &nbsp
                    {{ user.address }}
                </a>
            {% endif %}
        </div>

        <div class="navbar-end">
            <div class="navbar-item">
                <div class="buttons">
                    {% if not request.user.is_authenticated %}
{#                        <a href="/auth/register"#}
{#                           class="button is-primary">#}
{#                            <strong>Регистрация</strong>#}
{#                        </a>#}
{#                        <a href="/auth/login"#}
{#                           class="button is-light">#}
{#                            Войти#}
{#                        </a>#}
                    {% endif %}
                    <a href="/auth/logout"
                       class="button is-light">
                        Выйти
                    </a>
                </div>
            </div>
        </div>

    </div>
</nav>

<section class="section">
    {% block content %}

    {% endblock %}
</section>
</body>
</html>